WLAN devices
Implementation internals » Device handling

WLAN device functions. More...

## Functions

int | iw_sockets_open (void)
static int | iw_get_ext (int skfd, const char *ifname, int request, struct iwreq *pwrq)
int | iw_get_range_info (int skfd, const char *ifname, struct iw_range *range)
double | iw_freq2float (const struct iw_freq *in)
void | hd_scan_wlan (hd_data_t *hd_data)

## Detailed Description

WLAN device functions.

## Function Documentation

## hd_scan_wlan()

void hd_scan_wlan | ( | hd_data_t * | hd_data | ) |

References ADD2LOG, add_res_entry(), add_str_list(), u_hd_res_t::any, res_wlan_t::auth_modes, s_hd_t::base_class, bc_network, res_wlan_t::bitrates, res_wlan_t::channels, res_wlan_t::enc_modes, res_wlan_t::frequencies, hd_data, hd_is_hw_class(), hd_probe_feature(), hw_network_ctrl, hd_id_t::id, s_hd_t::is, iw_freq2float(), iw_get_range_info(), iw_sockets_open(), mod_wlan, new_mem(), s_hd_t::next, pr_wlan, PROGRESS, s_hd_t::res, res_wlan, s_hd_t::sub_class, res_any_t::type, s_hd_t::unix_dev_name, s_hd_t::is_s::wlan, and u_hd_res_t::wlan.

Referenced by hd_scan_no_hal().

## iw_freq2float()

double iw_freq2float | ( | const struct iw_freq * | in | ) |

Referenced by hd_scan_wlan().

## iw_get_ext()

int iw_get_ext | ( | int | skfd,
|  | const char * | ifname,
|  | int | request,
|  | struct iwreq * | pwrq )

inline static

Referenced by iw_get_range_info().

## iw_get_range_info()

int iw_get_range_info | ( | int | skfd,
|  | const char * | ifname,
|  | struct iw_range * | range )

References iw_get_ext().

Referenced by hd_scan_wlan().

## iw_sockets_open()

int iw_sockets_open | ( | void |  | ) |

Referenced by hd_scan_wlan().